Subject: bug#50491: 28.0.50; load-theme in early-init does not fully loads/enables expected faces

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Sep 2021 17:27:45 +0300

> From: [email-masked]
> Cc: [email-masked], Stefan Monnier <[email-masked]>
> Date: Sat, 11 Sep 2021 17:19:13 +0300
> 
> 
> > We already say there:
> 
> >      We do not recommend that you move into ‘early-init.el’ customizations
> >   that can be left in the normal init files.  That is because the early
> > ...
> 
> > So it seems we already warn there against moving initializations to
> > early-init.el that can be left in init.el.  I see no reason to have a
> > more detailed warning.
> 
> That's right, I'm fine with that part.
> What confuses me is the phrase "frame appearance".

That could mean any number of things, and it is unreasonable to start
listing them, because the list will very quickly become outdated, aswe
add/change stuff in Emacs.

> It makes me guess if probably any of the documented
> `(elisp) 30.4 Frame Parameters' variables could be added
> to the early-init file quite "safely"?

I don't know, but why would you need to do that in early-init?  AFAIR,
startup.el already has all the necessary smarts to DTRT when the
user's init file changes frame parameters, so you shouldn't need to
move that into early-init file.  If you have specific problems with
changing them in the normal init files, please tell the details.